package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2023-07-05
 * @description : 游戏数据源
 */
@Getter
@AllArgsConstructor
public enum GameActionSetEnum {

    /**
     * 小游戏
     */
    WECHAT_MINI_GAME("WECHAT_MINI_GAME", 1),

    /**
     * 公众号
     */
    WECHAT("WECHAT", 2),

    /**
     * 小程序
     */
    WECHAT_MINI_PROGRAM("WECHAT_MINI_PROGRAM", 3);

    /**
     * 数据源类型
     */
    private String value;

    /**
     * 游戏应用类型
     */
    private int type;

    /**
     * 获取游戏动作设置
     *
     * @param type 类型
     * @return {@link String}
     */
    public static String getGameActionSet(int type) {
        for (GameActionSetEnum gameActionSetEnum : GameActionSetEnum.values()) {
            if (Objects.equals(gameActionSetEnum.getType(), type)) {
                return gameActionSetEnum.getValue();
            }
        }
        return null;
    }
}
